> For the complete documentation index, see [llms.txt](https://docs.nexthink.com/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexthink.com/platform/user-guide/collaboration-experience/call-quality-nql-capabilities.md).

# Call quality NQL capabilities

Access collaboration data through [Investigations](/platform/user-guide/investigations.md) using the `collaboration.sessions` table of the [NQL data model](/platform/understanding-key-data-platform-concepts/nql-data-model.md).

### Investigating and querying call quality data <a href="#gettingstartedwithcollaborationexperience-theinvestigationsmodule" id="gettingstartedwithcollaborationexperience-theinvestigationsmodule"></a>

Use a unified `call.quality` metric to evaluate the overall quality of a call, based on a combination of multiple factors such as audio, video, and screen sharing quality, and call connection issues that impact the call.

{% code overflow="wrap" lineNumbers="true" %}

```
collaboration.sessions past 24h
| summarize poor_qualitycalls=countif(call.quality=poor)by device.name
| list device.name, poor_qualitycalls
| sort poor_qualitycalls desc 
```

{% endcode %}

### Identifying MS Teams Rooms calls

You can easily identify calls made by meeting rooms through the device type **room\_system** which is accessible through the NQL field `collaboration.session.participant_device.type`.

Use the following query to retrieve devices with Microsoft Teams Rooms:

{% code overflow="wrap" lineNumbers="true" %}

```
devices 
| with collaboration.sessions 
| where participant_device.type = room_system or device.meeting_room_name != null
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nexthink.com/platform/user-guide/collaboration-experience/call-quality-nql-capabilities.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
